更新授权用户的资料
PATCH/api/v5/user
Request
Query Parameters
access_token stringrequired
用户授权码
Header Parameters
Content-Type string
Example: application/json
- application/json
Body
avatarstring
头像
nicknamestring
用户昵称
companystring
公司
descriptionstring
个人简介
emailstring
个人邮箱(需要通过认证处理)
github_accountstring
Github账号
websitestring
个人网站
locationstring
所在地
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
- 1
Schema
avatarstringrequired
nicknamestringrequired
companystringrequired
descriptionstringrequired
emailstringrequired
github_accountstringrequired
websitestringrequired
locationstringrequired
idstringrequired
loginstringrequired
{
"avatar": "string",
"nickname": "string",
"company": "string",
"description": "string",
"email": "string",
"github_account": "string",
"website": "string",
"location": "string",
"id": "string",
"login": "string"
}
成功示例
{
"avatar": "https://avatars.githubusercontent.com/u/28579840",
"nickname": "虞宇",
"company": "velit fugiat et labore qui",
"description": "铁情置。书活法建如压火。风海步省机厂。叫至道想报结。按后个段立省活。",
"email": "",
"github_account": "esse elit officia fugiat ad",
"website": "incididunt enim est",
"location": "in magna laboris Excepteur",
"id": "6638af02bbeee41d0fe74c35",
"login": "malongge5"
}